PROJECTIONTRANSFORM(3CgFX)

NAME
ProjectionTransform - 3D API projection transform

USAGE
ProjectionTransform = float4x4(f1, f2, f3, f4, ... , f13, f14, f15, f16)

VALID ENUMERANTS
fi: floating point values

DESCRIPTION
Set the values of the projection matrix. See the GL_PROJECTION description on the OpenGL glMatrixMode manual page for details. See the description of the D3DTS_PROJECTION transform state type for the IDirect3DDevice9::SetTransform method.

The standard reset callback sets the ProjectionTransform state to the identity matrix.

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
ModelViewMatrix, ModelViewTransform, ProjectionMatrix, ViewTransform, WorldTransform